## charybdis 3.3.0

=== debian/changelog ===
charybdis (3.3.0-7ubuntu1) precise; urgency=low

  * debian/patches/sqlite_linking.patch: shuffle around LDFLAGS in file
    bandb/Makefile.in to properly link against sqlite3.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Mon, 16 Jan 2012 18:54:30 -0500

charybdis (3.3.0-7) unstable; urgency=low

  * patch: default NICKLEN to 30 to fit a commonly used value and the new
    default default (used on irc.staticbox.net at least)

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 29 Nov 2011 18:09:43 -0500

charybdis (3.3.0-6) unstable; urgency=low

  * Conflict with ircd-ratbox (Closes: #649070)
  * Conflict with oftc-hybrid (Closes: #649071)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 21 Nov 2011 20:03:27 -0500

charybdis (3.3.0-5) unstable; urgency=low

  * add all undocumented copyrights - some files do not have copyright
    headers still, it is assumed they are GPL-2

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 10 Nov 2011 23:07:37 -0500

charybdis (3.3.0-4) unstable; urgency=low

  * add debug flags, simplify configure args passing
  * fix my email address
  * fixup gnutls dependencies

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 07 Nov 2011 17:53:33 -0500

charybdis (3.3.0-3) unstable; urgency=low

  * make maximum nick length customizable
  * make this compile in squeeze without OpenSSL

 -- Antoine Beaupré <anarcat@koumbit.org>  Sun, 06 Nov 2011 16:27:49 -0500

charybdis (3.3.0-2) unstable; urgency=low

  * remove logfiles on purge
  * port to non-linux kernels
  * IPv6 support
  * provide ircd
  * fix initscript stop
  * allow building with OpenSSL
  * patches, forwarded upstream:
    * do not build with rpath
    * fix clean target

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 06 Nov 2011 12:28:43 -0500

charybdis (3.3.0-1) unstable; urgency=low

  * Initial release (Closes: #485553)
  * patches, forwarded upstream:
    * non-static sqlite
    * proper ircd.conf sample file
    * fix various install paths
    * no hardcoded bandb environment

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 26 Oct 2011 23:16:38 -0400
