=== debian/control ===
Source: charybdis
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 8.0.0), autotools-dev, autoconf, pkg-config, libgnutls-dev, libz-dev, libsqlite3-dev, bison | byacc, flex
Standards-Version: 3.9.2
Homepage: https://www.stack.nl/~jilles/irc/#charybdis
Vcs-Git: git://git.debian.org/collab-maint/charybdis.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/charybdis.git;a=summary

Package: charybdis
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgnutls26, libz1, libsqlite3-0, adduser
Conflicts: ircd-ratbox, oftc-hybrid
Provides: ircd
Description: fast, scalable irc server
 Charybdis is a fast, scalable IRC server, capable of supporting
 tens of thousands of connections. It supports SSL and X.509
 certificate challenge-response authentication.
