## charybdis 3.4.2

=== debian/changelog ===
charybdis (3.4.2-5~deb8u1) stable; urgency=high

  * switch to new anonscm hostnames
  * initialise gnutls properly (Closes: #768339, #705369)
  * add fix for CVE-2015-5290, cherry-picked from upstream d5f856c^..172b58f

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Nov 2015 16:35:35 -0500

charybdis (3.4.2-4) unstable; urgency=medium

  * remove duplicate library depends with shlibs (Closes: #750833)
  * make git-dch work
  * bump standards version (no change) and fix homepage

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 09 Jun 2014 20:29:47 -0400

charybdis (3.4.2-3) unstable; urgency=low

  [Hideki Yamane]
  * specify "-fi" option to autoreconf fix FTBFS (Closes: #724077)

  [Antoine Beaupré]
  * do not ship files in /var/run

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 20 Jul 2013 11:02:06 -0400

charybdis (3.4.2-2) unstable; urgency=low

  * fix configure.ac patch so it has proper format (Closes: #715511)
  * update to standards 3.9.4, no change

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Jul 2013 20:40:50 -0400

charybdis (3.4.2-1) unstable; urgency=low

  * new upstream release (Closes: #684191, #701438, #711152)
  * significantly cleanup the install layout so that libraries are all in
    a private directory, .la files are not installed (Closes: #655624),
    binaries are in /usr/bin again (with charybdis- prefix), and the
    manpage doesn't conflict with other ircd(8) manpages.
  * this makes charydbis *not* conflict with other ircds
  * upgrade to dh 9 for better autotools support and hardening flags
  * hardening flags are disabled because of upstream issues, see TODO
  * change branch layout to follow upstream layout: upstream is on the
    master branch
  * dropped patches:
    * default-nicklen: upstream bumped it to 31 (we were at 30)
    * CVE-2012-6084.patch: merged upstream
    * cleanup-bandb-properly: merged upstream
    * no_hardcoded_bandb_dpath: forgot why it is there (?!)
    * no_rpath: we ship in private directories
  * remaining patches have been re-forwarded upstream as their old
    bugtracker was destroyed
  * new patches:
    * extra-clean: some generated files were left around after clean
    * gnutls.patch: restore gnutls support removed from upstream, but
      readded at our request - gnutls support is still problematic
      however, see: #705369 for followup
  * rerolled patch non-static-sqlite to fix ftbs with ld --as-needed
    (Closes: #655012)
  * fix permissions on /etc/charybdis so it's not readable by all
  * provide debugging symbols, in a separate package

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 04 Jun 2013 22:04:22 -0400

charybdis (3.3.0-8) unstable; urgency=low

  * patch: use libgnutls 3.0 at least

 -- Antoine Beaupré <anarcat@debian.org>  Sun, 25 Mar 2012 21:44:05 -0400

charybdis (3.3.0-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix remote denial of service vulnerability
    CVE-2012-6084 (Closes: #697092).

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 02 Jan 2013 20:57:36 +0100
