=== debian/rules ===
--- 
+++ 
@@ -17,6 +17,9 @@
 export DH_OPTIONS
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
+
+# workaround for https://github.com/atheme/charybdis/issues/27
+export DEB_BUILD_MAINT_OPTIONS=hardening=-all
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
     CONFIGURE_ARGS+=--enable-epoll
@@ -44,7 +47,7 @@
 ifdef DEB_USE_OPENSSL
     CONFIGURE_ARGS+=--enable-openssl
 else
-    CONFIGURE_ARGS+=--disable-openssl
+    CONFIGURE_ARGS+=--disable-openssl --enable-gnutls
 endif
 
 ifdef DEB_NICKLEN
@@ -52,14 +55,31 @@
 endif
 
 override_dh_auto_configure:
-	autoconf
-	./configure --prefix=/usr --with-confdir=/etc/charybdis \
+	autoreconf -fi
+	cd libratbox ; autoreconf # necessary because we patch configure.ac
+	cd libratbox ; automake
+	dh_auto_configure -- --prefix=/usr --with-confdir=/etc/charybdis \
 		${CONFIGURE_ARGS} \
+		--with-program-prefix=charybdis- \
+		--libdir=/usr/lib/charybdis \
+		--libexecdir=/usr/lib \
+		--with-rundir=/var/run \
+		--localstatedir=/var/lib \
 		--with-logdir=/var/log/charybdis \
 		--with-moduledir=/usr/lib/charybdis/modules \
 		--with-helpdir=/usr/share/doc/charybdis/help \
-		--bindir=/usr/lib/charybdis \
 		--enable-ipv6
 
+override_dh_auto_install:
+	dh_auto_install --destdir=debian/charybdis
+	rmdir $(CURDIR)/debian/charybdis/var/run/charybdis || true
+        # remove when it fails, it means upstream stopped shipping .la files, yay
+	rm $(CURDIR)/debian/charybdis/usr/lib/charybdis/libratbox.la
+        # remove when this fail (when the binary is renamed), see https://github.com/atheme/charybdis/pull/28
+	mv $(CURDIR)/debian/charybdis/usr/bin/charybdis-genssl.sh $(CURDIR)/debian/charybdis/usr/bin/charybdis-genssl
+
+override_dh_strip:
+	dh_strip --dbg-package=charybdis-dbg
+
 %:
-	dh $@ 
+	dh $@ --with autotools_dev
