## charybdis 3.5.0

=== debian/changelog ===
charybdis (3.5.0-1build1) xenial; urgency=medium

  * No-change rebuild for gnutls transition.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 17 Feb 2016 22:23:45 +0000

charybdis (3.5.0-1) unstable; urgency=medium

  * new upstream release, see this post for details:
    http://www.charybdis.io/2016/01/05/charybdis-3.5.0-release.html
    (Closes: #703546)
  * fix homepage to use the new upstream URL (Closes: #812527)
  * remove patches factored in upstream:
    * gnutls30: upstream supports both 2.x and 3.x, apparently
    * non-static-sqlite: now a flag, that we use
    * fix-paths: merged upstream
    * CVE-2015-5290: fixed upstream
    * gnutls, libratbox-gnutls-add-gnutls-v3-api-compatibility-wit: fixed
      upstream
    * ircd.conf: will never be merged upstream, just move it during the build
  * forwarded extra-clean patch upstream
  * new patches:
    * gnutls34.patch: fix build under gnutls 3.4 (Closes: #812655)

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 15 Feb 2016 20:16:45 -0500

charybdis (3.4.2-5) unstable; urgency=high

  * switch to new anonscm hostnames
  * initialise gnutls properly (Closes: #768339, #705369)
  * add fix for CVE-2015-5290, cherry-picked from upstream d5f856c^..172b58f

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 13 Nov 2015 16:35:35 -0500
