=== debian/control ===
Source: charybdis
Section: net
Priority: optional
Maintainer: Antoine Beaupré <anarcat@debian.org>
Build-Depends: debhelper (>= 9.0.0),
               autotools-dev,
               autoconf,
               automake,
               libtool,
               pkg-config,
               libgnutls28-dev,
               libgcrypt11-dev,
               libz-dev,
               libsqlite3-dev,
               bison | byacc,
               flex
Standards-Version: 3.9.5
Homepage: http://www.charybdis.io/
Vcs-Git: git://anonscm.debian.org/collab-maint/charybdis.git -b debian
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/charybdis.git;a=summary

Package: charybdis
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Provides: ircd
Description: fast, scalable irc server
 Charybdis is a highly scalable IRC server which presently implements
 the IRCv3.1 client protocol with some additional components of
 IRCv3.2. Development of charybdis began in 2005 as a proposed
 replacement to freenode’s hyperion ircd, designed for use by any
 network, with roots in ircd-ratbox and ircu. Over time, charybdis has
 developed, tested and demonstrated many of the features commonly seen
 in modern IRC networks.
 .
 Interesting features that Charybdis has include:
 .
  * SASL support — charybdis was the first IRC server to implement SASL
    support, resulting in the IRCv3 SASL standards.
  * DNS blocklist support
  * Augmented banlist criteria through “extbans”
  * Channel forwarding (channel mode +f)
  * Optional hostname/IP cloaking (through modules, either usermode +h or
    +x)
  * Colorcode stripping (channel mode +c)
  * CALLERID (user mode +g) with automatic accept when you send a PM
  * TLS encrypted client and server connections
  * Multi-process sandbox architecture for enhanced security, scalability
    and robustness
  * Easy to understand configuration
  * A complete user and operator’s manual
 .
 Many of the largest networks in the world use charybdis-based IRC
 servers, including freenode, EsperNet, DarkMyst and others, because
 of it’s proven scalability, security and robustness track records

Package: charybdis-dbg
Architecture: any
Section: debug
Priority: extra
Depends: charybdis (= ${binary:Version}),
         ${misc:Depends}
Description: fast, scalable irc server
 This package provides debugging symbols for the Charybdis package.
