=== debian/rules ===
--- 
+++ 
@@ -54,6 +54,9 @@
     CONFIGURE_ARGS+=--with-nicklen=$(DEB_NICKLEN)
 endif
 
+EXTERNAL_BUILD_TIMESTAMP?=$(shell LC_ALL=C date --utc -d "$$(dpkg-parsechangelog | sed -n -e 's/^Date: //p')")
+export EXTERNAL_BUILD_TIMESTAMP
+
 override_dh_auto_configure:
 	autoreconf -fi
 	cd libratbox ; autoreconf # necessary because we patch configure.ac
@@ -68,6 +71,7 @@
 		--with-logdir=/var/log/charybdis \
 		--with-moduledir=/usr/lib/charybdis/modules \
 		--with-helpdir=/usr/share/doc/charybdis/help \
+		--with-shared-sqlite \
 		--enable-ipv6
 
 override_dh_auto_install:
@@ -75,8 +79,9 @@
 	rmdir $(CURDIR)/debian/charybdis/var/run/charybdis || true
         # remove when it fails, it means upstream stopped shipping .la files, yay
 	rm $(CURDIR)/debian/charybdis/usr/lib/charybdis/libratbox.la
-        # remove when this fail (when the binary is renamed), see https://github.com/atheme/charybdis/pull/28
-	mv $(CURDIR)/debian/charybdis/usr/bin/charybdis-genssl.sh $(CURDIR)/debian/charybdis/usr/bin/charybdis-genssl
+        # see https://github.com/atheme/charybdis/issues/23
+        # maybe this should be in /usr/share/doc, but then users won't know when to update their configs...
+	mv $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf.example $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf
 
 override_dh_strip:
 	dh_strip --dbg-package=charybdis-dbg
