## charybdis 3.5.2p1

=== debian/changelog ===
charybdis (3.5.2p1-2) unstable; urgency=high

  * remove redundant service handlers already installed by dh_installinit
  * fix potential security issue: do not recurse with chmod
  * add upstream patch to workaround ssld crash

 -- Antoine Beaupré <anarcat@debian.org>  Wed, 17 Aug 2016 13:44:08 -0400

charybdis (3.5.2p1-1) unstable; urgency=medium

  * new upstream release
  * clarify patches forward status
  * update standards version, no change
  * convert TODO to org mode
  * mark a todo as done
  * use "service" instead of "invoke-rc.d"
  * re-enable hardening flags, still failing
  * bump standards version: no change
  * update copyright file to follow standards and silence warnings
  * update watch file to follow new upstream location
  * restart daemon in one shot, after upgrade completed

 -- Antoine Beaupré <anarcat@debian.org>  Sat, 13 Aug 2016 15:16:59 -0400
