=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-https://www.stack.nl/~jilles/irc/ charybdis-(.*)\.tbz2
+http://distfiles.charybdis.io/ charybdis-(.*)\.tar.bz2
