## charybdis 3.5.3

=== debian/changelog ===
charybdis (3.5.3-1) unstable; urgency=high

  * new upstream release
  * fix security issue "certificate fingerprint spoofing through crafted
    SASL messages", CVE-2016-7143 (Closes: #836714)
  * drop patch null-deref-fix.patch, factored in upstream
  * ignore alpha/beta/RC releases upstream, we want to follow the stable
    stuff

 -- Antoine Beaupré <anarcat@debian.org>  Mon, 05 Sep 2016 18:16:17 -0400
