=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libsqlite3-dev,
                bison | byacc,
                flex
-Standards-Version: 3.9.5
+Standards-Version: 3.9.8
 Homepage: http://www.charybdis.io/
 Vcs-Git: git://anonscm.debian.org/collab-maint/charybdis.git -b debian
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/charybdis.git;a=summary
