=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,7 @@
 	autoreconf -fi
 	cd libratbox ; autoreconf # necessary because we patch configure.ac
 	cd libratbox ; automake
+        # XXX: too much stuff here, see https://github.com/atheme/charybdis/issues/14
 	dh_auto_configure -- --prefix=/usr --with-confdir=/etc/charybdis \
 		${CONFIGURE_ARGS} \
 		--with-program-prefix=charybdis- \
@@ -83,6 +84,10 @@
         # maybe this should be in /usr/share/doc, but then users won't know when to update their configs...
 	mv $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf.example $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf
 
+# restart only after upgrades to reduce downtime
+override_dh_installinit:
+	dh_installinit -R
+
 override_dh_strip:
 	dh_strip --dbg-package=charybdis-dbg
