=== debian/watch ===
--- 
+++ 
@@ -6,4 +6,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://distfiles.charybdis.io/ charybdis-(.*)\.tar.bz2
+opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ http://distfiles.charybdis.io/ charybdis-(.*)(?<!beta\d)(?<!rc\d)\.tar.bz2
