## charybdis 3.5.5

=== debian/changelog ===
charybdis (3.5.5-2build2) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:44:33 +0000

charybdis (3.5.5-2build1) bionic; urgency=medium

  * No-change rebuild against libmbedcrypto1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Feb 2018 08:42:46 +0000

charybdis (3.5.5-2) unstable; urgency=medium

  [ Unit 193 ]
  * d/rules: Fix tabs-vs-spaces for a few comments.
  * d/rules: Re-enable hardening, append LDFLAGS to link only as needed.
  * d/rules: Simplify logic for checking which TLS library to use.

  [ Antoine Beapré ]
  * switch to embedtls by default: linking across servers work (and not
    with gnutls) and there are no licensing issues (like openssl)
    (Closes: #705369)

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 03 Aug 2017 12:47:26 -0400

charybdis (3.5.5-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * new upstream release to factor in patches
  * add missing dependency on lsb-base
  * remove -dbg package, now automatically built

  [ Unit 193 ]
  * stop Build-Depending on libgcrypt11-dev transition package (Closes: #864096)
  * fix watchfile to follow github

 -- Antoine Beaupré <anarcat@debian.org>  Thu, 20 Jul 2017 20:31:56 -0400

charybdis (3.5.4-1) experimental; urgency=medium

  * new upstream release
  * two patches to fix GnuTLS support

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 28 Feb 2017 16:36:40 -0500
