=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: charybdis
 Section: net
 Priority: optional
-Maintainer: Antoine Beaupré <anarcat@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
 Build-Depends: debhelper (>= 9.0.0),
                autotools-dev,
                autoconf,
                automake,
                libtool,
                pkg-config,
-               libgnutls28-dev,
-               libgcrypt11-dev,
+               libmbedtls-dev | libgnutls28-dev | libssl-dev,
+               libgcrypt20-dev,
                libz-dev,
                libsqlite3-dev,
                bison | byacc,
@@ -23,6 +24,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         lsb-base (>= 3.0-6),
          adduser
 Provides: ircd
 Description: fast, scalable irc server
@@ -54,12 +56,3 @@
  Many of the largest networks in the world use charybdis-based IRC
  servers, including freenode, EsperNet, DarkMyst and others, because
  of it’s proven scalability, security and robustness track records
-
-Package: charybdis-dbg
-Architecture: any
-Section: debug
-Priority: extra
-Depends: charybdis (= ${binary:Version}),
-         ${misc:Depends}
-Description: fast, scalable irc server
- This package provides debugging symbols for the Charybdis package.
