=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,8 @@
 
 DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
 
-# workaround for https://github.com/atheme/charybdis/issues/27
-export DEB_BUILD_MAINT_OPTIONS=hardening=-all
+export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie
 
 ifeq ($(DEB_HOST_ARCH_OS), linux)
     CONFIGURE_ARGS+=--enable-epoll
@@ -35,19 +35,17 @@
    CONFIGURE_ARGS+=--enable-warnings --enable-iodebug
 endif
 
-# allow users to build with OpenSSL even if it possibly breaks the
-# GPL, as we have no exception from all the authors of ircd
+# this flag allows builders to use another TLS library as a backend.
 #
-# this is not necessary in Wheezy, as there is an OpenSSL
-# compatibility layer in GNUTLS
-#
-# for this to work, you need to manually install libssl-dev
-export DEB_USE_OPENSSL
+# see README.source for details
+export DEB_TLS_LIB
 
-ifdef DEB_USE_OPENSSL
-    CONFIGURE_ARGS+=--enable-openssl
+ifeq ($(DEB_TLS_LIB), openssl)
+	CONFIGURE_ARGS+=--enable-openssl
+else ifeq ($(DEB_TLS_LIB), gnutls)
+	CONFIGURE_ARGS+=--disable-openssl --enable-gnutls
 else
-    CONFIGURE_ARGS+=--disable-openssl --enable-gnutls
+	CONFIGURE_ARGS+=--disable-openssl --enable-mbedtls
 endif
 
 ifdef DEB_NICKLEN
@@ -78,18 +76,15 @@
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/charybdis
 	rmdir $(CURDIR)/debian/charybdis/var/run/charybdis || true
-        # remove when it fails, it means upstream stopped shipping .la files, yay
+	# remove when it fails, it means upstream stopped shipping .la files, yay
 	rm $(CURDIR)/debian/charybdis/usr/lib/charybdis/libratbox.la
-        # see https://github.com/atheme/charybdis/issues/23
-        # maybe this should be in /usr/share/doc, but then users won't know when to update their configs...
+	# see https://github.com/atheme/charybdis/issues/23
+	# maybe this should be in /usr/share/doc, but then users won't know when to update their configs...
 	mv $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf.example $(CURDIR)/debian/charybdis/etc/charybdis/ircd.conf
 
 # restart only after upgrades to reduce downtime
 override_dh_installinit:
 	dh_installinit -R
 
-override_dh_strip:
-	dh_strip --dbg-package=charybdis-dbg
-
 %:
 	dh $@ --with autotools_dev
