=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
	https://github.com/charybdis-ircd/charybdis/releases .*/charybdis-(.*)(?<!beta\d)(?<!rc\d)(?<!m\d)\.tar\.(?:bz2|gz|xz)
