## charybdis 4.1

=== debian/changelog ===
charybdis (4.1-1) unstable; urgency=medium

  [ Chris West (Faux) ]
  * new upstream release, picking up both patches
  * new build-dep for autotools
  * update rules for rename of source folder

  [ Antoine Beaupré ]
  * enable -PIE hardening, upstream seems to compile properly with that
    now
  * move to salsa and fix homepage
  * silence lintian warnings:
    * remove --with autotools_dev
  * remove another .la file create upstream
  * remove non-standard /usr/logs directory created upstream (fixed in
    later releases)
  * switch to upstream --enable-fhs-paths
  * bump standards and dh compatibility levels: no change

  [ Unit 193 ]
  * Run wrap-and-sort -a.
  * d/control, d/rules, d/README.source: Switch to using build profiles.
  * d/rules:
    - Enable pie hardening as well, no longer causes ftbfs.
    - Don't define DEB_HOST_ARCH_OS, instead include default.mk.
    - Derive EXTERNAL_BUILD_TIMESTAMP from SOURCE_DATE_EPOCH.
    - Follow renaming of ratbox to remove .la file, also remove libircd.la.
    - Define localstatedir, helpdir, and rundir.
  * d/init.d: Follow renaming of the binary to 'charybdis'.
  * d/copyright: Update format and source fields.
  * d/control:
    - Drop build-depends on autotools-dev, autoconf, automake and libtool.
    - Build-depend on libltdl-dev.
    - Add myself to uploaders.

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 20 Feb 2018 12:06:34 -0500
