=== debian/control ===
--- 
+++ 
@@ -1,31 +1,30 @@
 Source: charybdis
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Antoine Beaupré <anarcat@debian.org>
-Build-Depends: debhelper (>= 9.0.0),
-               autotools-dev,
-               autoconf,
-               automake,
-               libtool,
-               pkg-config,
-               libmbedtls-dev | libgnutls28-dev | libssl-dev,
+Maintainer: Antoine Beaupré <anarcat@debian.org>
+Uploaders: Unit 193 <unit193@ubuntu.com>
+Build-Depends: debhelper (>= 10~),
+               bison | byacc,
+               flex,
                libgcrypt20-dev,
+               libgnutls28-dev <pkg.charybdis.gnutls>,
+               libltdl-dev,
+               libmbedtls-dev <!pkg.charybdis.gnutls !pkg.charybdis.openssl>,
+               libsqlite3-dev,
+               libssl-dev <pkg.charybdis.openssl>,
                libz-dev,
-               libsqlite3-dev,
-               bison | byacc,
-               flex
-Standards-Version: 3.9.8
-Homepage: http://www.charybdis.io/
-Vcs-Git: git://anonscm.debian.org/collab-maint/charybdis.git -b debian
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/charybdis.git;a=summary
+               pkg-config
+Standards-Version: 4.1.1
+Homepage: http://atheme.org/projects/charybdis.html
+Vcs-Git: https://salsa.debian.org/debian/charybdis.git -b debian
+Vcs-Browser: https://salsa.debian.org/debian/charybdis
 
 Package: charybdis
 Architecture: any
-Depends: ${shlibs:Depends},
+Depends: adduser,
+         lsb-base (>= 3.0-6),
          ${misc:Depends},
-         lsb-base (>= 3.0-6),
-         adduser
+         ${shlibs:Depends}
 Provides: ircd
 Description: fast, scalable irc server
  Charybdis is a highly scalable IRC server which presently implements
