## charybdis 4.1.1

=== debian/changelog ===
charybdis (4.1.1-1) unstable; urgency=medium

  * New upstream release (Closes: #906879).

 -- Antoine Beaupré <anarcat@debian.org>  Tue, 21 Aug 2018 17:52:12 -0400

charybdis (4.1-2) unstable; urgency=medium

  [ Unit 193 ]
  * Bump Standards-Version to 4.1.5.

  [ Antoine Beaupré ]
  * correctly install modules in /usr/lib/charybdis/modules while keeping
    other libs private

 -- Antoine Beaupré <anarcat@debian.org>  Fri, 27 Jul 2018 10:57:48 -0400
