=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                libssl-dev <pkg.charybdis.openssl>,
                libz-dev,
                pkg-config
-Standards-Version: 4.1.1
+Standards-Version: 4.1.5
 Homepage: http://atheme.org/projects/charybdis.html
 Vcs-Git: https://salsa.debian.org/debian/charybdis.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/charybdis
