=== debian/rules ===
--- 
+++ 
@@ -61,6 +61,7 @@
 		--with-helpdir=/usr/share/doc/charybdis/help/ \
 		--with-logdir=/var/log/charybdis/ \
 		--with-rundir=/var/run/ \
+		--with-moduledir=/usr/lib/charybdis/modules \
 		--with-shared-sqlite \
 		--enable-ipv6
