## charybdis 4.1.2

=== debian/changelog ===
charybdis (4.1.2-1) unstable; urgency=medium

  [ Antoine Beaupré ]
  * clean out automatically generated file correctly
  * fix reload target in systemd

  [ Unit 193 ]
  * New upstream release.
  * d/compat, d/control:
    - Drop d/compat in favor of debhelper-compat, bump to 12.
  * d/control:
    - Set homepage to github project.
    - Pre-Depend on ${misc:Pre-Depends}.
  * Update Standards-Version to 4.4.0.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 08 Sep 2019 19:19:56 -0400
