=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Antoine Beaupré <anarcat@debian.org>
 Uploaders: Unit 193 <unit193@ubuntu.com>
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                bison | byacc,
                flex,
                libgcrypt20-dev,
@@ -14,13 +14,14 @@
                libssl-dev <pkg.charybdis.openssl>,
                libz-dev,
                pkg-config
-Standards-Version: 4.1.5
-Homepage: http://atheme.org/projects/charybdis.html
+Standards-Version: 4.4.0
+Homepage: https://github.com/charybdis-ircd/charybdis
 Vcs-Git: https://salsa.debian.org/debian/charybdis.git -b debian
 Vcs-Browser: https://salsa.debian.org/debian/charybdis
 
 Package: charybdis
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: adduser,
          lsb-base (>= 3.0-6),
          ${misc:Depends},
