=== debian/rules ===
--- 
+++ 
@@ -81,5 +81,9 @@
 override_dh_installinit:
 	dh_installinit -R
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f include/serno.h
+
 %:
 	dh $@
